Get Event
Retrieve the details of a specified Event.
The id of an Event.
'Success' with the Event
{
"id": "string",
"sourceType": "string",
"sourceIdentity": "string",
"timeStamp": "string",
"headers": {
"headers": "string"
},
"eventType": "string",
"eventTopicId": "string",
"correlationType": "string",
"correlationId": "string",
"description": "string",
"targetType": "string",
"targetId": "string",
"userName": "string",
"orgId": "string",
"projectId": "string"
}
id
sourceType
sourceIdentity
timeStamp
headers
The type of event this object represents.
The topic of the event.
The context in which this event relates to other events e.g. Deployment.
The id which relates this event to other events.
description
The type of the target entity (defined and interpreted by the 'source' service which caused this event to be created) e.g. 'VM'.
The id of the target entity (defined and interpreted by the 'source' service which caused this event to be created).
userName
orgId
projectId
'Not found' if no Event with provided id
curl -H 'Authorization: <value>' https://{api_host}/event-broker/api/events/{id}